# Generated by Django 4.1.13 on 2024-05-21 09:14

from django.db import migrations


def create_ticket_flow_and_approval_rule(apps, schema_editor):
    org_id = '00000000-0000-0000-0000-000000000000'

    User = apps.get_model("users", "User")
    TicketFlow = apps.get_model("tickets", "TicketFlow")
    ApprovalRule = apps.get_model("tickets", "ApprovalRule")

    super_user = User.objects.get(username='admin')
    flow, created = TicketFlow.objects.get_or_create(created_by='System', type='apply_asset', org_id=org_id)
    rule_instance = ApprovalRule.objects.create(strategy='super_admin')
    rule_instance.assignees.set([super_user])
    flow.rules.set([rule_instance, ])


class Migration(migrations.Migration):
    dependencies = [
        ('tickets', '0002_auto_20200728_1146'),
    ]

    operations = [
        migrations.RunPython(create_ticket_flow_and_approval_rule),
    ]
